public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libmtp/
Date: Sun, 23 Apr 2023 07:32:48 +0000 (UTC)	[thread overview]
Message-ID: <1682235163.e1e067cc2eb4a172d9dea350639588a5caa2cfbf.fordfrog@gentoo> (raw)

commit:     e1e067cc2eb4a172d9dea350639588a5caa2cfbf
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 23 07:32:35 2023 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Apr 23 07:32:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1e067cc

media-libs/libmtp: bump to 1.1.21

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-libs/libmtp/Manifest             |  1 +
 media-libs/libmtp/libmtp-1.1.21.ebuild | 91 ++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/media-libs/libmtp/Manifest b/media-libs/libmtp/Manifest
index 5c870218b38f..5755554a5331 100644
--- a/media-libs/libmtp/Manifest
+++ b/media-libs/libmtp/Manifest
@@ -1 +1,2 @@
 DIST libmtp-1.1.20.tar.gz 860941 BLAKE2B f30dddf6fb2b4c17e7792412787f65d369f811741e64a77b781a50e70161f0047e53c7e9d9e70621f98482d6fd430c71bd46188df894ef76109c9cb3d9c02f19 SHA512 d0892909eb9b001b727690b991c7effd8c4b78054ba07d06e060979ff2fd78d0d6303d46906d3bc86e4edba6f8a8d3c970eb875372f572ed84019bc717f74018
+DIST libmtp-1.1.21.tar.gz 862703 BLAKE2B c6067d0e9c7e2410b950715d1f02243c835afacfb3eef2f250361d4075d378b2754dceadf5120c9a646413ea826f42291c530590861420f56140458558dccc8e SHA512 510f01f75de37a07c8ce54957a8fb74724538a7cfbdf1a86c201fda68573ef23fa578ff7baf2d9df938703b5776ded4ab1057c617125f3539e594bb5a1f3146f

diff --git a/media-libs/libmtp/libmtp-1.1.21.ebuild b/media-libs/libmtp/libmtp-1.1.21.ebuild
new file mode 100644
index 000000000000..8e8453ea4c9a
--- /dev/null
+++ b/media-libs/libmtp/libmtp-1.1.21.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit udev
+
+if [[ ${PV} == 9999* ]]; then
+	EGIT_REPO_URI="https://git.code.sf.net/p/${PN}/code"
+	inherit autotools git-r3
+else
+	inherit libtool
+	SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Implementation of Microsoft's Media Transfer Protocol (MTP)"
+HOMEPAGE="http://libmtp.sourceforge.net/"
+
+LICENSE="LGPL-2.1" # LGPL-2+ and LGPL-2.1+ ?
+SLOT="0/9" # Based on SONAME of libmtp shared library
+IUSE="+crypt doc examples static-libs"
+
+RDEPEND="
+	acct-group/plugdev
+	virtual/libiconv
+	virtual/libusb:1
+	crypt? ( dev-libs/libgcrypt:0= )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	sys-devel/gettext
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )"
+
+DOCS=( AUTHORS README TODO )
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.1.19-fix-docdir.patch"
+)
+
+src_prepare() {
+	default
+
+	# ChangeLog says "RETIRING THIS FILE ..pause..  GIT" (Last entry from start of 2011)
+	rm ChangeLog || die
+
+	if [[ ${PV} == 9999* ]]; then
+		if [[ -e /usr/share/gettext/config.rpath ]]; then
+			cp /usr/share/gettext/config.rpath . || die
+		else
+			touch config.rpath || die # This is from upstream autogen.sh
+		fi
+		eautoreconf
+	else
+		# Needed to fix -fuse-ld=* filtering (e.g. lld)
+		# Can drop this once copyright year in libtool file included
+		# says >= 2021 (was 2014 at time of writing).
+		elibtoolize
+	fi
+}
+
+src_configure() {
+	local myeconfargs=(
+		$(use_enable crypt mtpz)
+		$(use_enable doc doxygen)
+		$(use_enable static-libs static)
+		--with-udev="$(get_udevdir)"
+		--with-udev-group=plugdev
+		--with-udev-mode=0660
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${ED}" -name "*.la" -delete || die
+
+	if use examples; then
+		docinto examples
+		dodoc examples/*.{c,h,sh}
+	fi
+}
+
+pkg_postinst() {
+	udev_reload
+}
+
+pkg_postrm() {
+	udev_reload
+}


             reply	other threads:[~2023-04-23  7:32 UTC|newest]

Thread overview: 102+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-23  7:32 Miroslav Šulc [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-22  7:37 [gentoo-commits] repo/gentoo:master commit in: media-libs/libmtp/ Miroslav Šulc
2024-12-21 11:17 Michał Górny
2024-11-21  9:05 Miroslav Šulc
2023-11-29 16:38 Mike Gilbert
2023-07-07  7:31 Miroslav Šulc
2023-05-30  5:47 Miroslav Šulc
2023-05-29 20:18 Sam James
2023-05-27 11:27 Arthur Zamarin
2023-05-27 10:51 Arthur Zamarin
2023-05-23 15:16 Arthur Zamarin
2023-05-23 15:16 Arthur Zamarin
2022-08-16  5:41 Miroslav Šulc
2022-08-15  7:46 Agostino Sarubbo
2022-08-13  6:58 Agostino Sarubbo
2022-08-13  6:12 Arthur Zamarin
2022-08-13  5:14 Arthur Zamarin
2022-08-13  5:14 Arthur Zamarin
2022-08-02  4:44 Miroslav Šulc
2022-08-01 22:12 Sam James
2022-08-01  8:04 Agostino Sarubbo
2022-08-01  8:03 Agostino Sarubbo
2022-08-01  8:02 Agostino Sarubbo
2022-08-01  8:01 Agostino Sarubbo
2022-07-14  2:49 Sam James
2022-07-02 20:31 Sam James
2022-06-28  8:29 Miroslav Šulc
2021-10-28 14:09 Miroslav Šulc
2021-10-28 14:03 Agostino Sarubbo
2021-10-28 14:02 Agostino Sarubbo
2021-10-27 22:33 Sam James
2021-10-27  4:14 Sam James
2021-10-27  4:14 Sam James
2021-09-25 19:20 Sam James
2021-02-15  5:49 Sam James
2021-02-15  5:35 Sam James
2021-02-09 23:58 Sam James
2021-02-03  0:20 Sam James
2021-02-01 13:33 Sam James
2021-02-01 13:31 Sam James
2021-01-07  1:24 Sam James
2021-01-03 19:40 Sam James
2021-01-01  5:46 Sam James
2021-01-01  2:55 Sam James
2021-01-01  2:55 Sam James
2020-02-03 13:28 Lars Wendler
2019-09-13 12:58 Michał Górny
2019-07-27 12:54 Aaron Bauman
2018-12-13 18:11 Andreas Sturmlechner
2018-12-08  9:44 Sergei Trofimovich
2018-12-08  9:36 Sergei Trofimovich
2018-12-08  9:28 Sergei Trofimovich
2018-12-01 17:13 Mikle Kolyada
2018-12-01 17:00 Mikle Kolyada
2018-11-04 22:26 Andreas Sturmlechner
2018-11-02  8:31 Andreas Sturmlechner
2018-11-01 19:46 Andreas Sturmlechner
2018-11-01 19:46 Andreas Sturmlechner
2018-11-01 19:46 Andreas Sturmlechner
2018-10-30 14:36 Lars Wendler
2018-10-30 14:36 Lars Wendler
2018-08-18 22:36 Sergei Trofimovich
2018-08-18  3:47 Mikle Kolyada
2018-08-16  0:39 Thomas Deutschmann
2018-08-13 21:20 Sergei Trofimovich
2018-08-13 21:18 Sergei Trofimovich
2018-07-14 18:27 Andreas Sturmlechner
2018-05-26 11:24 Mikle Kolyada
2018-05-01  7:41 Markus Meier
2018-04-02 21:32 Sergei Trofimovich
2018-03-30 18:35 Aaron Bauman
2018-03-27  6:41 Alexis Ballier
2018-03-24 13:56 Sergei Trofimovich
2018-01-20 19:20 Aaron Bauman
2017-10-14 18:17 Sergei Trofimovich
2017-10-03 20:59 Lars Wendler
2017-10-03 20:59 Lars Wendler
2017-09-25 21:36 Sergei Trofimovich
2017-09-25 21:14 Sergei Trofimovich
2017-08-29 20:42 Thomas Deutschmann
2017-08-25 22:16 Mikle Kolyada
2017-08-08  4:33 Markus Meier
2017-08-07  7:40 Sergei Trofimovich
2017-06-27 17:05 Alexis Ballier
2017-04-22 13:32 Jeroen Roovers
2017-04-05 11:22 Lars Wendler
2017-04-05 11:22 Lars Wendler
2017-03-28 15:17 Michael Weber
2017-03-28  9:56 Agostino Sarubbo
2017-03-28  9:17 Michael Weber
2017-03-28  9:17 Michael Weber
2017-01-17 14:24 Agostino Sarubbo
2016-08-18 14:57 Lars Wendler
2016-08-18 14:57 Lars Wendler
2016-08-18 13:49 Lars Wendler
2016-08-18 13:49 Lars Wendler
2016-08-04  8:51 Jeroen Roovers
2016-07-06  9:23 Agostino Sarubbo
2016-05-27  3:06 Jeroen Roovers
2016-05-13  8:41 Agostino Sarubbo
2016-02-16 22:07 Manuel Rüger
2015-10-21  9:35 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1682235163.e1e067cc2eb4a172d9dea350639588a5caa2cfbf.fordfrog@gentoo \
    --to=fordfrog@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox